__gnu_debug::_Safe_forward_list< _SafeSequence > Class Template Reference
Inheritance diagram for __gnu_debug::_Safe_forward_list< _SafeSequence >:
[legend]

## Public Member Functions

void | _M_invalidate_if (_Predicate __pred)
void | _M_transfer_from_if (_Safe_sequence &__from, _Predicate __pred)

## Protected Member Functions

void | _M_invalidate_all ()
void | _M_swap (_Safe_sequence_base &) noexcept

## Detailed Description

### template<typename _SafeSequence>
class __gnu_debug::_Safe_forward_list< _SafeSequence >

Special iterators swap and invalidation for forward_list because of the before_begin iterator.

Definition at line 51 of file debug/forward_list.

## Member Function Documentation

## _M_invalidate_if()

void __gnu_debug::_Safe_sequence< _SafeSequence >::_M_invalidate_if | ( | _Predicate | __pred | ) |

inherited

Invalidates all iterators `x` that reference this sequence, are not singular, and for which `__pred(x)` returns `true`. `__pred` will be invoked with the normal iterators nested in the safe ones.

Definition at line 38 of file safe_sequence.tcc.

## _M_transfer_from_if()

void __gnu_debug::_Safe_sequence< _SafeSequence >::_M_transfer_from_if | ( | _Safe_sequence< _SafeSequence > & | __from,
|  | _Predicate | __pred
| ) |  |

inherited

Transfers all iterators `x` that reference `from` sequence, are not singular, and for which `__pred(x)` returns `true`. `__pred` will be invoked with the normal iterators nested in the safe ones.

Definition at line 69 of file safe_sequence.tcc.

The documentation for this class was generated from the following file:

- debug/forward_list